Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes | List of all members
ContainerReport Class Reference
Inheritance diagram for ContainerReport:

## Public Member Functions
| __init__ (self, name, log=False, limit=None, threaded=False)
| destroy (self)
| finished (self)
| log (self, **kArgs)
| run (self)
Public Member Functions inherited from Job
| __init__ (self, name)
| getFinishedEvent (self)
| getJobName (self)
| getPriority (self)
| isFinished (self)
| printingBegin (self)
| printingEnd (self)
| resume (self)
| setPriority (self, priority)
| suspend (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Static Public Attributes
| notify = directNotify.newCategory("ContainerReport")
| PrivateIds = set()
Static Public Attributes inherited from Job
| Continue = None
| `yield None` is acceptable in place of `yield Job.Continue`
| Done = object()
| Yielded from the `run()` generator method when the job is done.
| Priorities = ScratchPad(Min=1, Low=100, Normal=1000, High=10000)
| Sleep = object()
| Yield any remaining time for this job until next frame.
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Protected Member Functions
| _enqueueContainer (self, obj, pathStr=None)
| _examine (self, obj)
| _output (self, **kArgs)
| _outputType (self, type, limit=None)
Protected Member Functions inherited from Job
| _cleanupGenerator (self)
| _getGenerator (self)
| _getJobId (self)
| _setFinished (self)
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)

## Protected Attributes
dict | _id2container = {}
dict | _id2pathStr = {}
| _instanceDictIds = set()
| _limit = limit
| _log = log
| _queue = Queue()
dict | _type2id2len = {}
| _visitedIds = set()
Protected Attributes inherited from Job
bool | _finished = False
| _generator = None
| _id = Job._SerialGen.next()
| _name = name
bool | _printing = False
| _priority = Job.Priorities.Normal
| _pstats = PStatCollector("App:Show code:jobManager:%s" % self._name)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Additional Inherited Members
Static Protected Attributes inherited from Job
| _SerialGen = SerialNumGen()

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | name,
|  |  | log = False,
|  |  | limit = None,
|  |  | threaded = False )

## Member Function Documentation

## ◆ _enqueueContainer()

_enqueueContainer | ( |  | self,
|  |  | obj,
|  |  | pathStr = None )
| protected

## ◆ _examine()

_examine | ( |  | self,
|  |  | obj )
| protected

## ◆ _output()

_output | ( |  | self,
|  | ** | kArgs )
| protected

## ◆ _outputType()

_outputType | ( |  | self,
|  |  | type,
|  |  | limit = None )
| protected

## ◆ destroy()

destroy | ( |  | self | ) |

Reimplemented from Job.

## ◆ finished()

finished | ( |  | self | ) |

Reimplemented from Job.

## ◆ log()

log | ( |  | self,
|  | ** | kArgs )

## ◆ run()

run | ( |  | self | ) |

    This should be overridden with a generator that does the
    needful processing.

    yield `Job.Continue` when possible/reasonable, and try not to run
    longer than the JobManager's timeslice between yields.

    When done, yield `Job.Done`.

Reimplemented from Job.

## Member Data Documentation

## ◆ _id2container

_id2container = {}
| protected

## ◆ _id2pathStr

_id2pathStr = {}
| protected

## ◆ _instanceDictIds

_instanceDictIds = set()
| protected

## ◆ _limit

_limit = limit
| protected

## ◆ _log

_log = log
| protected

## ◆ _queue

_queue = Queue()
| protected

## ◆ _type2id2len

_type2id2len = {}
| protected

## ◆ _visitedIds

_visitedIds = set()
| protected

## ◆ notify

notify = directNotify.newCategory("ContainerReport")
| static

## ◆ PrivateIds

PrivateIds = set()
| static